/**
	* Copyright © 2015 Magento. All rights reserved.
	* See COPYING.txt for license details.
*/
/*browser:true*/
/*global define*/
define(
[
	'Magento_Checkout/js/view/payment/default', 'ko'
],
function (Component, ko) {
	'use strict';
	
	var self;
	return Component.extend({
	
		defaults: {
			redirectAfterPlaceOrder: false,
			template: 'Avalon_Costompaymentgr/payment/paymentmethodgr'
		},
		
		/** Returns send check to info */
		getMailingAddress: function() {
			return window.checkoutConfig.payment.checkmo.mailingAddress;
		},
		
		tbigrStatus: ko.observable(""),
		
		initialize: function () {
           	self = this;
            this._super();
			this.getParamsTbi();
        },
		
		getTbiStatus: function() {
			if (self.tbigrStatus() == "Yes"){
				return true;
			}else{
				return false;
			}
		},
		
		getParamsTbi: function() {
			jQuery.ajax({
				url : '/costompaymentgr/index/getparams',
				type : 'post',
				dataType: 'json',
				success : function( json ) {
					self.tbigrStatus(json['tbigr_status']);
				}
			});
        },

		getOrderId: function () {
			var _url = "/costompaymentgr/index/tbigetid?tag=jLhrHYsfPQ3Gu9JgJPLJ";

            var param = 'ajax=1';
            jQuery.ajax({
				showLoader: true,
				url: _url,
				data: param,
				type: "POST",
				dataType: 'json'
			}).done(function (data) {
				if(parseInt( data.msg_status ) == 1 ){
					var retid = data.retid;
					var tbigr_envurl = data.tbigr_envurl;
					var tbi_pause_txt = data.tbi_pause_txt;
					var tbigr_env = data.tbigr_env;
					window.location.replace('/tbigrcreateid?tag=jLhrHYsfPQ3Gu9JgJPLJ&oid=' + retid + '&tbigr_envurl=' + tbigr_envurl + '&tbi_pause_txt=' + tbi_pause_txt + '&tbigr_env=' + tbigr_env);
					return;
				}else{
					alert("Error get data!");
				}
			}).fail(function (XMLHttpRequest, textStatus, errorThrown) {
				alert("Error get data!");
			});
        },
		
		afterPlaceOrder: function () {
			this.getOrderId();
		},
	});
}
);
